<?php 
// If we have found SSI.php and we are outside of SMF, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF')) // If we are outside SMF and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');

global $db_prefix,$smcFunc;

updateSettings(array('maximum_points_in_polls' => 10));

db_extend('packages');
$smcFunc['db_add_column'] (
			'{db_prefix}polls', 
			array(
			      'name' => 'max_points',
			      'type' => 'TINYINT',
			      'default' => '0'
			),
			array(),
			'ignore'
		);

$smcFunc['db_add_column'] (
			'{db_prefix}polls', 
			array(
			      'name' => 'max_points_opt',
			      'type' => 'TINYINT',
			      'default' => '0'
			),
			array(),
			'ignore'
		);

$smcFunc['db_add_column'] (
			'{db_prefix}log_polls', 
			array(
			      'name' => 'points',
			      'type' => 'TINYINT',
			      'default' => '0'
			),
			array(),
			'ignore'
		);

$smcFunc['db_add_column'] (
			'{db_prefix}poll_choices', 
			array(
			      'name' => 'tot_points',
			      'type' => 'INT',
			      'default' => '0'
			),
			array(),
			'ignore'
		);

?>